package com.terraformersmc.terrestria;

import com.terraformersmc.terrestria.init.TerrestriaBlocks;
import com.terraformersmc.terrestria.init.TerrestriaItems;
import net.fabricmc.api.ClientModInitializer;
import net.fabricmc.fabric.api.client.render.ColorProviderRegistry;
import net.minecraft.class_1163;
import net.minecraft.class_1926;
import net.minecraft.class_1933;

// This class is an entrypoint
@SuppressWarnings("unused")
public class TerrestriaClient implements ClientModInitializer {
	@Override
	public void onInitializeClient() {
		ColorProviderRegistry.BLOCK.register(
				(block, world, pos, layer) -> world != null && pos != null ? class_1163.method_4966(world, pos) : class_1926.method_8341(),
				TerrestriaBlocks.RUBBER.leaves,
				TerrestriaBlocks.CYPRESS.leaves,
				TerrestriaBlocks.WILLOW.leaves,
				TerrestriaBlocks.RAINBOW_EUCALYPTUS.leaves,
				TerrestriaBlocks.JAPANESE_MAPLE_SHRUB_LEAVES,
				TerrestriaBlocks.REDWOOD.leaves,
				TerrestriaBlocks.HEMLOCK.leaves
		);

		ColorProviderRegistry.BLOCK.register(
				(block, world, pos, layer) -> world != null && pos != null ? class_1163.method_4962(world, pos) : class_1933.method_8377(0.5, 1.0),
				TerrestriaBlocks.BASALT_GRASS_BLOCK
		);

		ColorProviderRegistry.ITEM.register(
				(item, layer) -> class_1926.method_8344(0.5, 1.0),
				TerrestriaItems.RUBBER.leaves,
				TerrestriaItems.CYPRESS.leaves,
				TerrestriaItems.WILLOW.leaves,
				TerrestriaBlocks.RAINBOW_EUCALYPTUS.leaves,
				TerrestriaItems.JAPANESE_MAPLE_SHRUB_LEAVES,
				TerrestriaItems.REDWOOD.leaves,
				TerrestriaItems.HEMLOCK.leaves
		);

		ColorProviderRegistry.ITEM.register(
				(item, layer) -> class_1933.method_8377(0.5, 1.0),
				TerrestriaItems.BASALT_GRASS_BLOCK
		);
	}
}
