package com.terraformersmc.terrestria.init;

import com.terraformersmc.terraform.entity.TerraformBoat;
import com.terraformersmc.terraform.entity.TerraformBoatEntity;
import com.terraformersmc.terrestria.Terrestria;
import com.terraformersmc.terrestria.init.helpers.WoodItems;
import net.fabricmc.fabric.api.entity.FabricEntityTypeBuilder;
import net.minecraft.class_1299;
import net.minecraft.class_1311;
import net.minecraft.class_1690;
import net.minecraft.class_2378;
import net.minecraft.class_2960;
import net.minecraft.class_4048;

public class TerrestriaEntities {
	public static class_1299<TerraformBoatEntity> REDWOOD_BOAT;
	public static class_1299<TerraformBoatEntity> HEMLOCK_BOAT;
	public static class_1299<TerraformBoatEntity> RUBBER_BOAT;
	public static class_1299<TerraformBoatEntity> CYPRESS_BOAT;
	public static class_1299<TerraformBoatEntity> WILLOW_BOAT;
	public static class_1299<TerraformBoatEntity> JAPANESE_MAPLE_BOAT;
	public static class_1299<TerraformBoatEntity> RAINBOW_EUCALYPTUS_BOAT;
	public static class_1299<TerraformBoatEntity> SAKURA_BOAT;

	public static void init() {
		REDWOOD_BOAT = registerBoat("redwood", TerrestriaItems.REDWOOD, class_1690.class_1692.field_7723);
		HEMLOCK_BOAT = registerBoat("hemlock", TerrestriaItems.HEMLOCK, class_1690.class_1692.field_7727);
		RUBBER_BOAT = registerBoat("rubber", TerrestriaItems.RUBBER, class_1690.class_1692.field_7729);
		CYPRESS_BOAT = registerBoat("cypress", TerrestriaItems.CYPRESS, class_1690.class_1692.field_7729);
		WILLOW_BOAT = registerBoat("willow", TerrestriaItems.WILLOW, class_1690.class_1692.field_7728);
		JAPANESE_MAPLE_BOAT = registerBoat("japanese_maple", TerrestriaItems.JAPANESE_MAPLE, class_1690.class_1692.field_7725);
		RAINBOW_EUCALYPTUS_BOAT = registerBoat("rainbow_eucalyptus", TerrestriaItems.RAINBOW_EUCALYPTUS, class_1690.class_1692.field_7730);
		SAKURA_BOAT = registerBoat("sakura", TerrestriaItems.SAKURA, class_1690.class_1692.field_7723);
	}

	private static class_1299<TerraformBoatEntity> registerBoat(String name, WoodItems wood, class_1690.class_1692 vanilla) {
		class_2960 skin = new class_2960(Terrestria.MOD_ID, "textures/entity/boat/" + name + ".png");
		TerraformBoat boat = new TerraformBoat(wood.boat, wood.planks, skin, vanilla);

		class_1299<TerraformBoatEntity> type = FabricEntityTypeBuilder.<TerraformBoatEntity>create(
			class_1311.field_17715, (entity, world) -> new TerraformBoatEntity(entity, world, boat))
			.size(class_4048.method_18385(1.375F, 0.5625F))
			.build();

		return class_2378.method_10230(class_2378.field_11145, new class_2960(Terrestria.MOD_ID, name + "_boat"), type);
	}
}
