package com.terraformersmc.terrestria.mixin;

import com.terraformersmc.terrestria.init.TerrestriaBlocks;
import org.spongepowered.asm.mixin.Mixin;
import org.spongepowered.asm.mixin.injection.At;
import org.spongepowered.asm.mixin.injection.Inject;
import org.spongepowered.asm.mixin.injection.callback.CallbackInfo;
import org.spongepowered.asm.mixin.injection.callback.CallbackInfoReturnable;

import java.util.Iterator;
import net.minecraft.class_1941;
import net.minecraft.class_2246;
import net.minecraft.class_2248;
import net.minecraft.class_2338;
import net.minecraft.class_2350;
import net.minecraft.class_2523;
import net.minecraft.class_2680;
import net.minecraft.class_3486;
import net.minecraft.class_3610;

@Mixin(class_2523.class)
public class MixinSugarCaneBlock {
	@Inject(method = "canPlaceAt", at = @At("HEAD"), cancellable = true)
	private void canPlaceAt(class_2680 state, class_1941 world, class_2338 pos, CallbackInfoReturnable<Boolean> info) {
		class_2338 downPos = pos.method_10074();
		class_2248 block = world.method_8320(downPos).method_11614();

		if (block == TerrestriaBlocks.BASALT_GRASS_BLOCK || block == TerrestriaBlocks.BASALT_DIRT || block == TerrestriaBlocks.BASALT_SAND || block == TerrestriaBlocks.BASALT_PODZOL) {

			for(class_2350 direction: class_2350.class_2353.field_11062) {
				class_2680 candidateState = world.method_8320(downPos.method_10093(direction));
				class_3610 fluidState = world.method_8316(downPos.method_10093(direction));

				if (fluidState.method_15767(class_3486.field_15517) || candidateState.method_11614() == class_2246.field_10110) {
					info.setReturnValue(true);
				}
			}
		}
	}
}
